/* This is a limited table that converts AT scancodes to XT as expected by
 * the kernel. Pretty much only those characters used by the cuecat are
 * here. The reference manuals disagree on translations for 'f' and 'j', so
 * there's two for each of those. */

#define AT2XT_VALS {	\
0,	/* 0x00 */		\
0,	/* 0x01 */		\
0,	/* 0x02 */		\
0,	/* 0x03 */		\
0,	/* 0x04 */		\
0,	/* 0x05 */		\
0,	/* 0x06 */		\
0,	/* 0x07 */		\
0,	/* 0x08 */		\
0x44,	/* 0x09 */		\
0,	/* 0x0a */		\
0,	/* 0x0b */		\
0,	/* 0x0c */		\
0,	/* 0x0d */		\
0,	/* 0x0e */		\
0,	/* 0x0f */		\
0,	/* 0x10 */		\
0x38,	/* 0x11 */		\
0x2a,	/* 0x12 */		\
0,	/* 0x13 */		\
0,	/* 0x14 */		\
0x10,	/* 0x15 */		\
0x02,	/* 0x16 */		\
0,	/* 0x17 */		\
0,	/* 0x18 */		\
0,	/* 0x19 */		\
0x2c,	/* 0x1a */		\
0x1f,	/* 0x1b */		\
0x1e,	/* 0x1c */		\
0x11,	/* 0x1d */		\
0x03,	/* 0x1e */		\
0,	/* 0x1f */		\
0,	/* 0x20 */		\
0x2e,	/* 0x21 */		\
0x2d,	/* 0x22 */		\
0x20,	/* 0x23 */		\
0x12,	/* 0x24 */		\
0x05,	/* 0x25 */		\
0x04,	/* 0x26 */		\
0,	/* 0x27 */		\
0x21,	/* 0x28 */		\
0,	/* 0x29 */		\
0x2f,	/* 0x2a */		\
0x21,	/* 0x2b */		\
0x14,	/* 0x2c */		\
0x13,	/* 0x2d */		\
0x06,	/* 0x2e */		\
0,	/* 0x2f */		\
0,	/* 0x30 */		\
0x31,	/* 0x31 */		\
0x30,	/* 0x32 */		\
0x23,	/* 0x33 */		\
0x22,	/* 0x34 */		\
0x15,	/* 0x35 */		\
0x07,	/* 0x36 */		\
0,	/* 0x37 */		\
0x24,	/* 0x38 */		\
0,	/* 0x39 */		\
0x32,	/* 0x3a */		\
0x24,	/* 0x3b */		\
0x16,	/* 0x3c */		\
0x08,	/* 0x3d */		\
0x09,	/* 0x3e */		\
0,	/* 0x3f */		\
0,	/* 0x40 */		\
0x33,	/* 0x41 */		\
0x25,	/* 0x42 */		\
0x17,	/* 0x43 */		\
0x18,	/* 0x44 */		\
0x0b,	/* 0x45 */		\
0x0a,	/* 0x46 */		\
0,	/* 0x47 */		\
0,	/* 0x48 */		\
0x34,	/* 0x49 */		\
0x35,	/* 0x4a */		\
0x26,	/* 0x4b */		\
0,	/* 0x4c */		\
0x19,	/* 0x4d */		\
0x0c,	/* 0x4e */		\
0,	/* 0x4f */		\
0,	/* 0x50 */		\
0,	/* 0x51 */		\
0,	/* 0x52 */		\
0,	/* 0x53 */		\
0,	/* 0x54 */		\
0x0d,	/* 0x55 */		\
0,	/* 0x56 */		\
0,	/* 0x57 */		\
0,	/* 0x58 */		\
0x36,	/* 0x59 */		\
0x1c,	/* 0x5a */		\
0,	/* 0x5b */		\
0,	/* 0x5c */		\
0,	/* 0x5d */		\
0,	/* 0x5e */		\
0,	/* 0x5f */		\
0,	/* 0x60 */		\
0,	/* 0x61 */		\
0,	/* 0x62 */		\
0,	/* 0x63 */		\
0,	/* 0x64 */		\
0,	/* 0x65 */		\
0,	/* 0x66 */		\
0,	/* 0x67 */		\
0,	/* 0x68 */		\
0,	/* 0x69 */		\
0,	/* 0x6a */		\
0,	/* 0x6b */		\
0,	/* 0x6c */		\
0,	/* 0x6d */		\
0,	/* 0x6e */		\
0,	/* 0x6f */		\
0,	/* 0x70 */		\
0,	/* 0x71 */		\
0,	/* 0x72 */		\
0,	/* 0x73 */		\
0,	/* 0x74 */		\
0,	/* 0x75 */		\
0,	/* 0x76 */		\
0,	/* 0x77 */		\
0,	/* 0x78 */		\
0x4e,	/* 0x79 */		\
0,	/* 0x7a */		\
0x4a,	/* 0x7b */		\
0,	/* 0x7c */		\
0,	/* 0x7d */		\
0,	/* 0x7e */		\
0	/* 0x7f */		}
